Subject: Re: [straw] Coming soon: WGLC for draft-ietf-straw-b2bua-dtls-srtp

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Thu, 11 Jun 2015 08:29:41 +0000

Hi Christer,

Please see inline

>
>From:  Christer Holmberg <[email-masked]>
>Date:  Thursday, 11 June 2015 1:12 pm
>To:  "[email-masked]" <[email-masked]>
>Cc:  "[email-masked]"
><[email-masked]>
>Subject:  [straw] Coming soon: WGLC for draft-ietf-straw-b2bua-dtls-srtp
>
>
>(As co-chair)
> 
>Hi,
> 
>We are planning to start WGLC for draft-ietf-straw-b2bua-dtls-srtp soon.
>We are asking for a couple of volunteers for doing a WGLC review of the
>draft.
>
> 
> 
>Before we start the WGLC, however, I have a couple of comments (mostly
>editorial) on the -03 version that I¹d like the authors to address.
>
> 
>Q1:
> 
>I would suggest to change the title name of section 3 to something like
>"Media Plane B2BUA handling of DTLS-SRTP".
> 
>Then, I would suggest a "3.1 General" section, where you say that this
>section describes the DTLS-SRTP handling by the different types of media
>plane B2BUAs defined in RFC 7092.

Yes. I will make this change.

> 
> 
>Q2:
> 
>In the Security Considerations sections, would it be good to make it
>explicitly clear that the document does not define procedures where an
>endpoint is terminating DTLS?
> 
>(You DO mention in for one media b2bua type in section 3.2.1, but I think
>it would be good to have general text)

How about the below text:

This document does not define procedures where a B2BUA is terminating
DTLS-SRTP

Regards,
Ram
> 
> 
>If anyone has issues that he/she thinks need to be addressed before we
>start WGLC, please raise those issues on the list.
> 
> 
>Regards,
> 
>Christer 
> 
>

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 11 Jun 2015 11:14:26 +0000

(As co-chair)

Hi,

>>section describes the DTLS-SRTP handling by the different types of 
>>media plane B2BUAs defined in RFC 7092.
>

Good :)

>>(You DO mention in for one media b2bua type in section 3.2.1, but I 
>>think it would be good to have general text)
>
> This document does not define procedures where a B2BUA is terminating DTLS-SRTP

You may want to take a look at section 4 in https://tools.ietf.org/id/draft-ietf-straw-b2bua-rtcp-07.txt, and see whether you can use some text from there.

Regards,

Christer

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Fri, 12 Jun 2015 10:04:59 +0000

Hi Christer, WG,

Please see for my response

-----Original Message-----
From: Christer Holmberg <[email-masked]>
Date: Thursday, 11 June 2015 4:44 pm
To: Cisco Employee <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]"
<[email-masked]>
Subject: RE: [straw] Coming soon: WGLC for draft-ietf-straw-b2bua-dtls-srtp

>You may want to take a look at section 4 in
>https://tools.ietf.org/id/draft-ietf-straw-b2bua-rtcp-07.txt, and see
>whether you can use some text from there.

I looked at the rtcp document. I think the following text can be re-used
here as well. Let me know your thoughts

Attempting to
cover Media-aware Relay and Media Terminarion scenarios
involving secure sessions(like DTLS-SRTP) will inevitably lead to the
B2BUA acting as
a man-in-the-middle, and as such its behaviour is unspecified and
Discouraged.

Does this look better ?

Ram

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 12 Jun 2015 10:30:20 +0000

(As co-chair)

Hi,

>>>>explicitly clear that the document does not define procedures where 
>>>>an endpoint is terminating DTLS?
>>>> 
> I looked at the rtcp document. I think the following text can be re-used here as well. Let me know your thoughts
>
> Attempting to cover Media-aware Relay and Media Terminarion scenarios involving secure sessions(like DTLS-SRTP) will inevitably lead 
> to the B2BUA acting as a man-in-the-middle, and as such its behaviour is unspecified and Discouraged.
>
> Does this look better ?

Looks good to me.

Perhaps it would be a good idea to ask Stephen F to take a look at the text also, before we move it to IESG?

Regards,

Christer

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Fri, 12 Jun 2015 10:45:54 +0000

-----Original Message-----
From: Christer Holmberg <[email-masked]>
Date: Friday, 12 June 2015 4:00 pm
To: Cisco Employee <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]"

>>
>>Attempting to cover Media-aware Relay and Media Terminarion scenarios
>>involving secure sessions(like DTLS-SRTP) will inevitably lead

Yes. I will do it once I publish the new revision.

Ram

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 12 Jun 2015 11:00:57 +0000

Hi,

>>>B2BUA acting as a man-in-the-middle, and as such its behaviour is 
>>>unspecified and Discouraged.
>>>
>>>Does this look better ?
>>
>>Looks good to me.
>>

Good.

Regards,

Christer